JUCE: AudioParameterChoiceAttributes Class Reference

JUCE

List of all members
AudioParameterChoiceAttributes Class Reference
juce_audio_processors » utilities

Properties of an AudioParameterChoice. More...

`#include <juce_AudioParameterChoice.h>`

Inheritance diagram for AudioParameterChoiceAttributes:

## Additional Inherited Members
Public Types inherited from RangedAudioParameterAttributes< AudioParameterChoiceAttributes, int >
using | Category = AudioProcessorParameter::Category
using | StringFromValue = std::function< String(int, int)>
using | ValueFromString = std::function< int(const String &)>
Public Member Functions inherited from RangedAudioParameterAttributes< AudioParameterChoiceAttributes, int >
JUCE_NODISCARD auto | withStringFromValueFunction (StringFromValue x) const
| An optional lambda function that converts a non-normalised value to a string with a maximum length. More...
JUCE_NODISCARD auto | withValueFromStringFunction (ValueFromString x) const
| An optional lambda function that parses a string and converts it into a non-normalised value. More...
JUCE_NODISCARD auto | withLabel (String x) const
| See AudioProcessorParameterWithIDAttributes::withLabel() More...
JUCE_NODISCARD auto | withCategory (Category x) const
| See AudioProcessorParameterWithIDAttributes::withCategory() More...
JUCE_NODISCARD auto | withMeta (bool x) const
| See AudioProcessorParameter::isMetaParameter() More...
JUCE_NODISCARD auto | withAutomatable (bool x) const
| See AudioProcessorParameter::isAutomatable() More...
JUCE_NODISCARD auto | withInverted (bool x) const
| See AudioProcessorParameter::isOrientationInverted() More...
JUCE_NODISCARD const auto & | getStringFromValueFunction () const
| An optional lambda function that converts a non-normalised value to a string with a maximum length. More...
JUCE_NODISCARD const auto & | getValueFromStringFunction () const
| An optional lambda function that parses a string and converts it into a non-normalised value. More...
JUCE_NODISCARD const auto & | getAudioProcessorParameterWithIDAttributes () const
| Gets attributes that would also apply to an AudioProcessorParameterWithID. More...

## Detailed Description

Properties of an AudioParameterChoice.

See also
  AudioParameterChoice(), RangedAudioParameterAttributes()

The documentation for this class was generated from the following file:

- juce_AudioParameterChoice.h